Bug Hunting Session
Bug 85850 - [UI] [Side Bar] make shortcut available to open/close the side bar
Summary: [UI] [Side Bar] make shortcut available to open/close the side bar
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords: accessibility
Depends on:
Blocks: Shortcuts-Accelerators Sidebar-Accessibility
  Show dependency treegraph
 
Reported: 2014-11-04 10:24 UTC by Cor Nouws
Modified: 2019-03-27 12:35 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2014-11-04 10:24:44 UTC
what about Ctrl+F5 ?

Only problem is that it conflicts with the Navigator in Impress. But since the side bar is open there mostly, I would think that it's not a problem to keep Ctrl+F5 for the Navigator in Impress.

Ideas?
Comment 1 Robinson Tryon (qubit) 2014-12-22 05:53:51 UTC
Tossing into the pot for UX

Status -> NEW
Comment 2 Heiko Tietze 2016-08-02 15:24:08 UTC
My first idea was ctrl+w, which is often used to close tabs. You can easily add the shortcut yourself (tools > customize > keyboard: category=view, function=sidebar, shortcut=ctrl+w -> modify).

The question is rather if we want this function to be that prominent. Many features are primarily accessed via sidebar now, and hiding it makes not much sense anymore. So my take on this is to either just collapse the sidebar or rather to not have this shortcut.

CC'ing Jay who is the master of the menus.
Comment 3 Yousuf Philips (jay) (retired) 2016-08-03 04:49:30 UTC
(In reply to Heiko Tietze from comment #2)
> My first idea was ctrl+w, which is often used to close tabs. You can easily
> add the shortcut yourself (tools > customize > keyboard: category=view,
> function=sidebar, shortcut=ctrl+w -> modify).

ctrl + w is used to close the open document, so thats shortcut definitely isnt an option.

> The question is rather if we want this function to be that prominent. Many
> features are primarily accessed via sidebar now, and hiding it makes not
> much sense anymore. So my take on this is to either just collapse the
> sidebar or rather to not have this shortcut.

In bug 84502, we want to assign a shortcut for each tab of the sidebar, so doing once for the activation/deactivation of the sidebar is a good idea. Ideally it would have a similar combination or alternative a single press key combination. Though some features are exclusive to the sidebar - styles and gallery - shortcuts to open those tabs/decks will activate the sidebar even if it is fully closed.
Comment 4 Harald Koester 2018-02-26 19:55:15 UTC
(In reply to Heiko Tietze from comment #2)
> The question is rather if we want this function to be that prominent. Many
> features are primarily accessed via sidebar now, and hiding it makes not
> much sense anymore. So my take on this is to either just collapse the
> sidebar or rather to not have this shortcut.

I'm not sure if features will be accessed primarily accessed via sidebar in future. I personally often display two apps side by side on my screen e.g. browser and Writer. In this case the sidebar is disturbing because I can't display the full width of the document. Therefor I typically use the sidebar only for styles and afterwards I close the sidebar again. Hence I think it is worth to have a default shortcut in order to open and close the sidebar fast and simple with the keyboard. I personally assigned the F4 key to this function but other F keys are also suitable.
Comment 5 Heiko Tietze 2018-02-27 09:00:11 UTC
F4 is a good idea. Let's do that.
Comment 6 V Stuart Foote 2018-02-27 14:56:08 UTC
(In reply to Heiko Tietze from comment #5)
> F4 is a good idea. Let's do that.

If we are going to assign F4 globally to Sidebar would rather than performing just a Close/Open Sidebar action-- it first perform the Hide/Show Sidebar of the current deck widget, and only if the Sidebar is truly closed--launch the Sidebar in expanded condition.

Otherwise I've no objection to using F4 (but have to reserve the <alt>+F4/<ctrl>+F4). As it would be a good compliment our F5, F6, F10 and F11 assignments to GUI. 

But it already has an assignment in Calc -- to cycle Cell Reference types (relative, absolute, or mixed); if also breaking that is acceptable it would need to be adjusted--probably to <shift>+F4 to make room for F4 => Sidebar.
Comment 7 Heiko Tietze 2018-04-06 11:45:51 UTC
Patch at https://gerrit.libreoffice.org/#/c/52498/
Comment 8 Commit Notification 2018-04-06 17:19:44 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79b0dead4f5956ace324ce37d266490221111ee6

tdf#85850 - Shortcut to open/close the side bar

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Heiko Tietze 2018-04-06 17:20:40 UTC
Ctrl+F5 is now assigned as default for .uno:Sidebar (View > Sidebar) in Writer, Calc, Impress, and Draw.
Comment 10 Harald Koester 2018-09-29 10:56:17 UTC
Checked with version 6.1.1 (64 bit, Win 10). 

Ctrl+F5 does not work always:
[1] Create new text document.
[2] Open side bar.
[3] Display Styles in side bar.
[4] Select a style with mouse click.
[5] Try to close the side bar with Ctrl+F5. Function does not work!
[6] Click into document.
[7] Close side bar with Ctrl+F5. Now it works!
[8] Open side bar again.
[9] Click Navigator symbol in side bar.
[10] Try to close side bar agein. Function does not work!
[11] Click into document.
[12] Close side bar with Ctrl+F5. Now it works!

Bug reopened.
Comment 11 Heiko Tietze 2018-10-01 14:22:02 UTC
(In reply to Harald Koester from comment #10)
...
> [4] Select a style with mouse click.
> [5] Try to close the side bar with Ctrl+F5. Function does not work!

You are not in the document context in this case. For accessibility reasons, ctrl+F6 will bring you back to the document where ctrl+F5 closes the sidebar.

This topic was discussed recently with Jim who made some changes, CC'ing.
Comment 12 Harald Koester 2018-10-02 12:46:10 UTC
(In reply to Heiko Tietze from comment #11)
> (In reply to Harald Koester from comment #10)
> ...
> > [4] Select a style with mouse click.
> > [5] Try to close the side bar with Ctrl+F5. Function does not work!
> 
> You are not in the document context in this case. For accessibility reasons,
> ctrl+F6 will bring you back to the document where ctrl+F5 closes the sidebar.

Of course I saw that the function does not work if I am not in the document context. For me this a bug. Compare it with F5 in order to open and close the Navigator. F5 works in both cases, if the context is in the document or in the Navigator.

Using an additional shortcut (ctrl+F6) in order to close the sidebar is not a solution. The advantage of a shortcut is lost. Also you have to know that additional shortcut, I did not. By the way the shortcut is not Ctrl+F6 but Ctrl+F5. Hence it does not work because the same shortcut can't be used for both functions.

Furthermore for this function I prefer a short cut with only one key in order to open/close the sidebar, like F5 and F11 in order to open/close the Navigator or the styles. For me the use of 2 keys (Ctrl+F5) is a step backwards. In comment 4 I Proposed F4. But anyway for my own I assigned the function to F4, so for me it's not a problem ...
Comment 13 Jim Raykowski 2018-10-02 21:29:29 UTC
Using CTRL+F5 to close the side bar when focus is in the side bar works in version 6.1.0. This is where Heiko's patch in comment 8 was committed. The fix for bug 115434 stops all key input made in the side bar from being passed on to parent class so this broke the CTRL+F5 from action within the side bar. 

Here is a patch to allow CTRL+F5 to close the side bar when focus is in the side bar: https://gerrit.libreoffice.org/#/c/61276/
Comment 14 Heiko Tietze 2018-10-05 11:52:13 UTC
Ctrl+F5 is now also effective in the sidebar. Thanks, Jim!
Comment 15 Commit Notification 2018-10-05 11:52:54 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26ed394abc8cebbb78f0ff69fba9ce35a006a511

tdf#85850 Pass CTRL+F5 event in sidebar to parent classes

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Harald Koester 2019-03-27 12:35:42 UTC
Checked with version 6.2.2. (64 bit, Win 10). Ctrl+F5 works as expected now. Hence bug closed.